{% extends 'homepage/base.html' %} {% block content %}
<!-- Translations -->
{% load i18n %}

<div class="row">
  <div col-sm-12>
    <!-- Button trigger modal -->
    <button id="addProvider" type="button" class="btn btn-success mt-4 mb-4 mx-4" data-toggle="modal" data-target="#form-modal">{% trans "Add appointment" %}</button>
  </div>
</div>
<!-- Modal -->
<div class="modal fade" id="form-modal" tabindex="-1" role="dialog" aria-labelledby="formModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="formModalLabel">{% trans "Appointment" %}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="form" id="add-appointment-form" method="POST" action="" role="form">
          {% csrf_token %} {{ form.non_field_errors }}

          <div id="client-form-1">
            <!-- Last and first name -->
            <div class="form-row" id="error-client-name">
              <div class="form-group col-md-6">
                <span class="text-danger small">{{ form.first_name.errors }}</span>
              </div>
              <div class="form-group col-md-6">
                <span class="text-danger small">{{ form.last_name.errors }}</span>
              </div>
            </div>

            <div class="form-row">
              <div class="form-group col-md-6">
                <label for="{{ form.first_name.id_for_label }}">{% trans "First name" %}</label>
                {{ form.first_name }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>

            <div class="form-row">
              <div class="form-group col-md-6">
                <label for="{{ form.last_name.id_for_label }}">{% trans "Last name" %}</label>
                {{ form.last_name }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>

            <!-- Service -->
            <div class="form-row" id="error-client-service">
              <div class="form-group col-md-12">
                <span class="text-danger small">{{ form.service.errors }}</span>
              </div>
            </div>

            <div class="form-row">
              <div class="form-group">
                <label for="{{ form.service.id_for_label }}">{% trans "Service" %}</label>
                {{ form.service }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>

            <!-- Provider -->
            <div class="form-row" id="error-client-provider">
              <div class="form-group col-md-12">
                <span class="text-danger small">{{ form.provider.errors }}</span>
              </div>
            </div>

            <div class="form-row">
              <div class="form-group">
                <label for="{{ form.provider.id_for_label }}">{% trans "Provider" %}</label>
                {{ form.provider }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>
          </div>

          <div id="client-form-2">

            <!-- Date time -->
            <div class="form-row" id="error-client-date_time">
              <div class="form-group col-md-12">
                <span class="text-danger small">{{ form.date_time.errors }}</span>
              </div>
            </div>

            <div class="form-row">
              <div class="form-group col-sm-12">
                <label for="{{ form.date_time.id_for_label }}">{% trans "Date and time" %}</label>
                {{ form.date_time }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>

            <div class="form-group">
              <div class="row mt-4">
                <div class="col-sm-12">
                  <div id="datetimepicker"></div>
                </div>
              </div>

              <div class="row" id="button-placeholder"></div>
            </div>

          </div>

          <div class="modal-footer">
            <div id="footer-1">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">{% trans "Close" %}</button>
              <button type="button" id="to-datetime" class="btn btn-primary">OK</button>
            </div>
            <div id="footer-2">
              <button type="button" class="btn btn-secondary" id="to-form">{% trans "Back" %}</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">{% trans "Close" %}</button>
              <button type="submit" class="btn btn-primary">OK</button>
            </div>
          </div>

        </form>
      </div>
    </div>
  </div>
</div>

<div class="d-flex flex-row-reverse">
  <div class="pr-3 mb-2">
    <strong>{% trans "Show appointments for:" %}</strong>
  </div>
</div>

<div class="d-flex flex-row-reverse mb-5">

  <div class="dropdown pr-3">
    <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdown-select-provider-button" data-toggle="dropdown"
      aria-haspopup="true" aria-expanded="false">
      {% if session_provider %} {{ session_provider }} {% else %} {% trans "Select provider" %} {% endif %}
    </button>
    <div class="dropdown-menu" aria-labelledby="dropdown-select-provider-button" id="dropdown-select-provider">
      {% if providers %} {% for provider in providers %}
      <option class="dropdown-item dropdown-provider" value="{{ provider.pk }}">
        {{ provider }}
      </option>
      {% endfor %} {% endif %}
    </div>
  </div>
</div>

<!-- FullCalendar -->
<div id='calendar'></div>

{% endblock %}